<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPriceComponentLabel" jhiTranslate="mpmApp.priceComponent.home.createOrEditLabel">Create or edit a Price Component</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!priceComponent.idPriceComponent">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="priceComponent.idPriceComponent" readonly />
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.priceComponent.party" for="field_party">Party</label>
            <select class="form-control" id="field_party" name="party" [(ngModel)]="priceComponent.partyId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="partyOption.idParty" *ngFor="let partyOption of parties; trackBy: trackPartyById">{{partyOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.priceComponent.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="priceComponent.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.priceComponent.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="priceComponent.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.priceComponent.wetype" for="field_wetype">Wetype</label>
            <select class="form-control" id="field_wetype" name="wetype" [(ngModel)]="priceComponent.wetypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="workEffortTypeOption.idWeType" *ngFor="let workEffortTypeOption of workefforttypes; trackBy: trackWorkEffortTypeById">{{workEffortTypeOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.priceComponent.price" for="field_price">Price</label>
            <input currencyMask class="form-control" name="price" id="field_price"
                [(ngModel)]="priceComponent.price"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.priceComponent.manfucterPrice" for="field_manfucterPrice">Manfucter Price</label>
            <input currencyMask class="form-control" name="manfucterPrice" id="field_manfucterPrice"
                [(ngModel)]="priceComponent.manfucterPrice"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.priceComponent.discount" for="field_discount">Discount</label>
            <input currencyMask class="form-control" name="discount" id="field_discount"
                [(ngModel)]="priceComponent.discount"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"
                 />
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
